System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum

The enumeration returns the following categories of literal information.

Category

Returns

A special character or characters used by text commands, such as the character used to quote identifiers.

The character or characters.

A literal data value, such as a character literal in an SQL statement.

The maximum length of the literal in characters, a list of the characters that cannot be used in the literal, and a list of the characters that cannot be used as the first character of the literal.

The name of a database object such as a column or table.

The maximum length of the name in characters, a list of the characters that cannot be used in the name, and a list of the characters that cannot be used as the first character of the name.

Multidimensional restriction columns.

Restriction values that return information about cubes, dimensions, hierarchies, levels, and members available from a data source; and are treated as literals instead of as search patterns.

Most members of the enumeration maps to one of the OLE DB DBLITERAL values that are returned in the DBLITERALINFO structure.

Multidimensional restriction columns are members of schema objects and map to OLE DB for OLAP used by the IDBSchemaRowset interface.

A is generated if the specified literal information is not supported and cannot be returned.

Returns information about literals used in text commands, data values, and database objects.

- Field
  System.Data.OleDb.OleDbLiteral To be added

  A binary literal in a text command. Maps to DBLITERAL_BINARY_LITERAL.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbLiteral To be added

  A catalog name in a text command. Maps to DBLITERAL_CATALOG_NAME.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbLiteral To be added

  The character that separates the catalog name from the rest of the identifier in a text command. Maps to DBLITERAL_CATALOG_SEPARATOR.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbLiteral To be added

  A character literal in a text command. Maps to DBLITERAL_CHAR_LITERAL.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbLiteral To be added

  A column alias in a text command. Maps to DBLITERAL_COLUMN_ALIAS.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbLiteral To be added

  A column name used in a text command or in a data-definition interface. Maps to DBLITERAL_COLUMN_NAME.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbLiteral To be added

  A correlation name (table alias) in a text command. Maps to DBLITERAL_CORRELATION_NAME.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbLiteral To be added

  The name of a cube in a schema (or the catalog if the provider does not support schemas).

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbLiteral To be added

  A cursor name in a text command. Maps to DBLITERAL_CURSOR_NAME.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbLiteral To be added

  The name of the dimension. If a dimension is part of more than one cube, there is one row for each cube/dimension combination.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbLiteral To be added

  The character used in a LIKE clause to escape the character returned for the DBLITERAL_LIKE_PERCENT literal. For example, if a percent sign (%) is used to match zero or more characters and this is a backslash (\), the characters "abc\%%" match all character values that start with "abc%". Some SQL dialects support a clause (the ESCAPE clause) that can be used to override this value. Maps to DBLITERAL_ESCAPE_PERCENT_PREFIX.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbLiteral To be added

  The escape character, if any, used to suffix the character returned for the DBLITERAL_LIKE_PERCENT literal. For example, if a percent sign (%) is used to match zero or more characters and percent signs are escaped by enclosing in open and close square brackets, DBLITERAL_ESCAPE_PERCENT_PREFIX is "[", DBLITERAL_ESCAPE_PERCENT_SUFFIX is "]", and the characters "abc[%]%" match all character values that start with "abc%". Providers that do not use a suffix character to escape the DBLITERAL_ESCAPE_PERCENT character do not return this literal value and can set the lt member of the DBLITERAL structure to DBLITERAL_INVALID if requested. Maps to DBLITERAL_ESCAPE_PERCENT_SUFFIX.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbLiteral To be added

  The character used in a LIKE clause to escape the character returned for the DBLITERAL_LIKE_UNDERSCORE literal. For example, if an underscore (_) is used to match exactly one character and this is a backslash (\), the characters "abc\_ _" match all character values that are five characters long and start with "abc_". Some SQL dialects support a clause (the ESCAPE clause) that can be used to override this value. Maps to DBLITERAL_ESCAPE_UNDERSCORE_PREFIX.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbLiteral To be added

  The character used in a LIKE clause to escape the character returned for the DBLITERAL_LIKE_UNDERSCORE literal. For example, if an underscore (_) is used to match exactly one character and this is a backslash (\), the characters "abc\_ _" match all character values that are five characters long and start with "abc_". Some SQL dialects support a clause (the ESCAPE clause) that can be used to override this value. Maps to DBLITERAL_ESCAPE_UNDERSCORE_SUFFIX.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbLiteral To be added

  The name of the hierarchy. If the dimension does not contain a hierarchy or has only one hierarchy, the current column contains a null value.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbLiteral To be added

  An index name used in a text command or in a data-definition interface. Maps to DBLITERAL_INDEX_NAME.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbLiteral To be added

  An invalid value. Maps to DBLITERAL_INVALID.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbLiteral To be added

  Name of the cube to which the current level belongs.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbLiteral To be added

  The character used in a LIKE clause to match zero or more characters. For example, if this is a percent sign (%), the characters "abc%" match all character values that start with "abc". Maps to DBLITERAL_LIKE_PERCENT.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbLiteral To be added

  The character used in a LIKE clause to match exactly one character. For example, if this is an underscore (_), the characters "abc_" match all character values that are four characters long and start with "abc". Maps to DBLITERAL_LIKE_UNDERSCORE.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbLiteral To be added

  The name of the member.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbLiteral To be added

  A procedure name in a text command. Maps to DBLITERAL_PROCEDURE_NAME.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbLiteral To be added

  The name of the property.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbLiteral To be added

  The character used in a text command as the opening quote for quoting identifiers that contain special characters. Maps to DBLITERAL_QUOTE_PREFIX.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbLiteral To be added

  The character used in a text command as the closing quote for quoting identifiers that contain special characters. 1.x providers that use the same character as the prefix and suffix may not return this literal value and can set the member of the DBLITERAL structure to DBLITERAL_INVALID if requested. Maps to DBLITERAL_QUOTE_SUFFIX.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbLiteral To be added

  A schema name in a text command. Maps to DBLITERAL_SCHEMA_NAME.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbLiteral To be added

  The character that separates the schema name from the rest of the identifier in a text command. Maps to DBLITERAL_SCHEMA_SEPARATOR.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbLiteral To be added

  A table name used in a text command or in a data-definition interface. Maps to DBLITERAL_TABLE_NAME.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbLiteral To be added

  A text command, such as an SQL statement. Maps to DBLITERAL_TEXT_COMMAND.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbLiteral To be added

  A user name in a text command. Maps to DBLITERAL_USER_NAME.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.OleDb.OleDbLiteral To be added

  A view name in a text command. Maps to DBLITERAL_VIEW_NAME.

  1.0.5000.0
  2.0.0.0